HDIV API 2.0.4

org.hdiv.taglibs.standard.tag.common.core
Class RedirectSupportHDIV

java.lang.Object
  extended by javax.servlet.jsp.tagext.TagSupport
      extended by javax.servlet.jsp.tagext.BodyTagSupport
          extended by org.hdiv.taglibs.standard.tag.common.core.RedirectSupportHDIV
All Implemented Interfaces:
java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, org.apache.taglibs.standard.tag.common.core.ParamParent
Direct Known Subclasses:
RedirectTagHDIV, RedirectTagHDIV

public abstract class RedirectSupportHDIV
extends javax.servlet.jsp.tagext.BodyTagSupport
implements org.apache.taglibs.standard.tag.common.core.ParamParent

Support for tag handlers for <redirect>, JSTL 1.0's tag for redirecting to a new URL (with optional query parameters).

Since:
HDIV 2.0
Author:
Gorka Vicente
See Also:
Serialized Form

Field Summary
protected  java.lang.String context
          'context' attribute
protected  java.lang.String url
          'url' attribute
 
Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
bodyContent
 
Fields inherited from class javax.servlet.jsp.tagext.TagSupport
id, pageContext
 
Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
EVAL_BODY_BUFFERED, EVAL_BODY_TAG
 
Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
EVAL_BODY_AGAIN
 
Fields inherited from interface javax.servlet.jsp.tagext.Tag
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE
 
Constructor Summary
RedirectSupportHDIV()
           
 
Method Summary
 void addParameter(java.lang.String name, java.lang.String value)
           
 int doEndTag()
          Gets the right value, encodes it, and prints or stores it
 int doStartTag()
          resets any parameters that might be sent
 void release()
          Releases any resources we may have (or inherit)
 void setScope(java.lang.String scope)
           
 void setVar(java.lang.String var)
           
 
Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent
 
Methods inherited from class javax.servlet.jsp.tagext.TagSupport
findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 
Methods inherited from interface javax.servlet.jsp.tagext.Tag
getParent, setPageContext, setParent
 

Field Detail

url

protected java.lang.String url
'url' attribute


context

protected java.lang.String context
'context' attribute

Constructor Detail

RedirectSupportHDIV

public RedirectSupportHDIV()
Method Detail

setVar

public void setVar(java.lang.String var)

setScope

public void setScope(java.lang.String scope)

addParameter

public void addParameter(java.lang.String name,
                         java.lang.String value)
Specified by:
addParameter in interface org.apache.taglibs.standard.tag.common.core.ParamParent

doStartTag

public int doStartTag()
               throws javax.servlet.jsp.JspException
resets any parameters that might be sent

Specified by:
doStartTag in interface javax.servlet.jsp.tagext.Tag
Overrides:
doStartTag in class javax.servlet.jsp.tagext.BodyTagSupport
Throws:
javax.servlet.jsp.JspException

doEndTag

public int doEndTag()
             throws javax.servlet.jsp.JspException
Gets the right value, encodes it, and prints or stores it

Specified by:
doEndTag in interface javax.servlet.jsp.tagext.Tag
Overrides:
doEndTag in class javax.servlet.jsp.tagext.BodyTagSupport
Throws:
javax.servlet.jsp.JspException

release

public void release()
Releases any resources we may have (or inherit)

Specified by:
release in interface javax.servlet.jsp.tagext.Tag
Overrides:
release in class javax.servlet.jsp.tagext.BodyTagSupport

HDIV 2.0.4

Copyright © 2008 hdiv.org. All Rights Reserved.